source .env
export SUBATO2_ENV

echo "Stopping subato..."
docker compose down

if [ "$SUBATO2_ENV" = "test" ] ; then
    docker compose -f docker-compose.yml -f docker-compose.test.yml -f docker-compose.$1.yml up subato --no-build
elif [ "$SUBATO2_ENV" = "prod" ] ; then
    docker compose -f docker-compose.yml -f docker-compose.prod.yml -f docker-compose.$1.yml up subato --no-build
else
    docker compose -f docker-compose.yml -f docker-compose.override.yml -f docker-compose.$1.yml up subato
fi