import { AssessmentProgress } from "./assessment-progress";
import { Submission } from "./submission";

export class NullAssessmentProgress extends AssessmentProgress {
    total: number;

    constructor(dto: any) {
        super(dto);
        this.total = dto.total;
    }

    update(submissions: Submission[]): NullAssessmentProgress {
        return this;
    }
}