import { Component, Input, OnInit } from '@angular/core';
import { ExerciseResult } from 'app/features/courses/models/exercise-result';
import { TaskInstance } from 'app/features/exercises/models/task-instance';

@Component({
  selector: 'tr[taskInstanceRow]',
  templateUrl: './task-instance-row.component.html',
  styleUrls: ['./task-instance-row.component.scss']
})
export class TaskInstanceRowComponent implements OnInit {
  @Input() exerciseResult: ExerciseResult;
  @Input() taskInstance: TaskInstance;

  constructor() { }

  ngOnInit(): void {
  }

}
