package de.hsrm.sls.subato.attendances.attendance;

public class AttendanceNotFoundException extends RuntimeException {
    public static final String REASON = "Es existiert kein Anwesenheitseintrag für diesen Benutzer und den Termin";

    private long userId;
    private long eventId;

    public AttendanceNotFoundException(long userId, long eventId) {
        this.userId = userId;
        this.eventId = eventId;
    }

    public long getUserId() {
        return userId;
    }

    public long getEventId() {
        return eventId;
    }
}
