package de.hsrm.sls.subato.auth.policy.misconceptions;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.CheckPolicyRequest;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.springframework.stereotype.Component;

@Component
public class MisconceptionViewPolicy implements PolicyRule {
    @Override
    public boolean check(CheckPolicyRequest request) {
        if(!request.matches(MisconceptionsAction.MISCONCEPTION_VIEW) || request.unauthenticated()) {
            return false;
        }

        return request.getSubject().hasRole(Role.SuperAdmin);
    }
}
