package de.hsrm.sls.subato.shared.helper;

import java.net.MalformedURLException;
import java.net.URL;
import java.nio.file.Path;

public class UriHelper {
    public static String concat(String base, Path path) {
        try {
            var uri = new URL(base);
            return new URL(uri.getProtocol(), uri.getHost(), uri.getPort(), Path.of(uri.getPath()).resolve(path).toString(), null).toString();
        } catch (MalformedURLException e) {
            throw new RuntimeException(e);
        }
    }
}
