package de.hsrm.sls.subato.solutions.solution;

import de.hsrm.sls.subato.solutions.evaluation.result.EvalResultMapper;
import de.hsrm.sls.subato.exercises.submission.SubmissionMapper;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper(componentModel = "spring", uses = { SubmissionMapper.class, EvalResultMapper.class })
public interface SolutionMapper {
    SolutionDetailDto mapDetail(Solution solution);
    @Mapping(target = "commentsCount", expression = "java(solution.getComments().size())")
    SolutionSummaryDto mapSummary(Solution solution);
}
