package de.hsrm.sls.subato.tasks.lang;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper(componentModel = "spring")
public interface LanguageMapper {
    LanguageDto map(Language language);

    @Mapping(target = "taskCount", expression = "java(language.getTasks().size())")
    LanguageDto mapWithCount(Language language);
}
