export enum CourseVisibility {
    Public,
    Internal,
    Participants,
    Private
}

export namespace CourseVisibility {
    export function toString(type: CourseVisibility): string {
        switch(type) {
            case CourseVisibility.Public: return "Öffentlich";
            case CourseVisibility.Participants: return "Nur Teilnehmer";
            case CourseVisibility.Internal: return "Nur eingeloggte Benutzer";
            case CourseVisibility.Private: return "Nur Lehrkräfte";
        }
    }
}