import { DegreeProgram } from "./degree-program";

export class ProgramModule {
    id: number;
    name: string;
    shortName: string;
    scheduledTerm: number;
    program: DegreeProgram;

    constructor(programModule: any) {
        this.id = programModule.id;
        this.name = programModule.name;
        this.shortName = programModule.shortName;
        this.scheduledTerm = programModule.scheduledTerm;
        this.program = programModule.program ? new DegreeProgram(programModule.program) : null;
    }

    get formattedName(): string {
        return `${this.name} (${this.scheduledTerm})`;
    }
}