package de.hsrm.sls.subato.shared;

/**
 * reason phrases for communicating errors to clients, usually stored in the exception classes
 * if we have no control over the exception class, we place them here
 */
public class ExceptionReasons {
    public static final String CONSTRAINT_VALIDATION = "Eingabe ist ungültig";
    public static final String MAX_UPLOAD_SIZE_EXCEEDED = "Diese Datei überschreitet das Limit von (etwa) %s MB";
}
