package de.hsrm.sls.subato.tasks.task;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.Optional;

public interface TaskRepository extends JpaRepository<Task, Long>, JpaSpecificationExecutor<Task> {
    //@Query(value = "SELECT * FROM task WHERE specCacheEntry IS NOT NULL AND specCacheEntry ->>'spec' ->>'meta' ->>'id' = :idName AND pool_id = :poolId", nativeQuery = true)
    Task findByIdNameAndPoolId(String idName, long poolId);
    //@Query(value = "SELECT * FROM task WHERE specCacheEntry IS NOT NULL AND specCacheEntry ->>'spec' ->>'meta' ->>'legacyId' = :id", nativeQuery = true)
    Optional<Task> findBySourceId(long id);
}